Subject: Re: [PATCH v2 09/17] Add watchman support to reduce index refresh cost

From: David Turner <[email-masked]>
Date: Thu, 24 Mar 2016 13:58:55 -0400

On Thu, 2016-03-24 at 09:47 -0400, Jeff Hostetler wrote:
> I'm seeing wm->name have value ".git" rather than ".git/" on Linux.
> 
> 
> On 03/18/2016 09:04 PM, David Turner wrote:
> > +		if (!strncmp(wm->name, ".git/", 5) ||
> > +		    strstr(wm->name, "/.git/"))
> > +			continue;
> 

Thanks.  I don't think I considered the case of .git itself being
modified, although clearly files are occasionally created/deleted in
there.  I'm going to fix this by ignoring all directories, since we'll
capture untracked-cache changes via files in those dirs.